include ../../Makefile.site

RIPLIBS = -lripsv -lripud -lriprp -lripnh -lripsq -lriprx -lripsk -lripip -lripdf -lripco -lrippr -lripth -lriper -lriput -lripca -lripma 

GOAL = loader

default: $(GOAL)

defs: $(RIPDEFS)
	cd ../../defs; $(MAKE); cd ../bin/load

modules:
	cd ../../modules; $(MAKE); cd ../bin/load

$(GOAL): $(GOAL).c $(HEADERS)
	$(CC) -c $(CFLAGS) $(GOAL).c
	$(CC) -o $(GOAL) $(GOAL).o $(RIPLIBS) $(LFLAGS) $(OPTS)

clean:
	${RM} core *.o $(GOAL)

